curl -X GET 'https://api.tolt.com/v1/promotion-codes/prc_dK9bzRGn46BhVgNFHD6fDgXW' \
-H 'Authorization: Bearer <API_KEY>'
curl -X GET 'https://api.tolt.com/v1/promotion-codes/prc_dK9bzRGn46BhVgNFHD6fDgXW?expand[]=partner&expand[]=program' \
-H 'Authorization: Bearer <API_KEY>'
{
"success": true,
"data": {
"id": "prc_dK9bzRGn46BhVgNFHD6fDgXW",
"code": "SUMMER2024",
"type": "percentage",
"value": 20,
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2"
}
}
{
"success": true,
"data": {
"id": "prc_dK9bzRGn46BhVgNFHD6fDgXW",
"code": "SUMMER2024",
"type": "percentage",
"value": 20,
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"partner": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin",
"status": "active",
"created_at": "2025-01-13T10:06:11.251Z"
},
"program": {
"id": "prg_YRsbPDAKhWfdqJbFACheh",
"status": "active",
"name": "Tolt's Partnership Program",
"product_name": "Tolt",
"subdomain": "affiliates",
"type": "public",
"currency_code": "USD",
"created_at": "2024-03-05T10:28:08.984+00:00"
}
}
}
Promotion Codes
Retrieve Promotion Code
This endpoint retrieves a promotion code.
GET
/
v1
/
promotion-codes
/
:id
curl -X GET 'https://api.tolt.com/v1/promotion-codes/prc_dK9bzRGn46BhVgNFHD6fDgXW' \
-H 'Authorization: Bearer <API_KEY>'
curl -X GET 'https://api.tolt.com/v1/promotion-codes/prc_dK9bzRGn46BhVgNFHD6fDgXW?expand[]=partner&expand[]=program' \
-H 'Authorization: Bearer <API_KEY>'
{
"success": true,
"data": {
"id": "prc_dK9bzRGn46BhVgNFHD6fDgXW",
"code": "SUMMER2024",
"type": "percentage",
"value": 20,
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2"
}
}
{
"success": true,
"data": {
"id": "prc_dK9bzRGn46BhVgNFHD6fDgXW",
"code": "SUMMER2024",
"type": "percentage",
"value": 20,
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"partner": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin",
"status": "active",
"created_at": "2025-01-13T10:06:11.251Z"
},
"program": {
"id": "prg_YRsbPDAKhWfdqJbFACheh",
"status": "active",
"name": "Tolt's Partnership Program",
"product_name": "Tolt",
"subdomain": "affiliates",
"type": "public",
"currency_code": "USD",
"created_at": "2024-03-05T10:28:08.984+00:00"
}
}
}
Base URL https://api.tolt.com
Query Parameters
array - optional
Specify which related objects to include in the response. Valid values are
‘partner’ and ‘program’. Use expand[]=partner or
expand[]=program to include the related objects.
Response
boolean
Whether the request was successful
object
Hide properties
Hide properties
string
Unique identifier for the promotion code
string
The promotion code value
string
The type of discount
number
The discount value
string
ID of the partner who owns the code
string
ISO 8601 timestamp of creation
string
ISO 8601 timestamp of last update
string
Program ID the promotion code belongs to
string
Organization ID
curl -X GET 'https://api.tolt.com/v1/promotion-codes/prc_dK9bzRGn46BhVgNFHD6fDgXW' \
-H 'Authorization: Bearer <API_KEY>'
curl -X GET 'https://api.tolt.com/v1/promotion-codes/prc_dK9bzRGn46BhVgNFHD6fDgXW?expand[]=partner&expand[]=program' \
-H 'Authorization: Bearer <API_KEY>'
{
"success": true,
"data": {
"id": "prc_dK9bzRGn46BhVgNFHD6fDgXW",
"code": "SUMMER2024",
"type": "percentage",
"value": 20,
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2"
}
}
{
"success": true,
"data": {
"id": "prc_dK9bzRGn46BhVgNFHD6fDgXW",
"code": "SUMMER2024",
"type": "percentage",
"value": 20,
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"partner": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin",
"status": "active",
"created_at": "2025-01-13T10:06:11.251Z"
},
"program": {
"id": "prg_YRsbPDAKhWfdqJbFACheh",
"status": "active",
"name": "Tolt's Partnership Program",
"product_name": "Tolt",
"subdomain": "affiliates",
"type": "public",
"currency_code": "USD",
"created_at": "2024-03-05T10:28:08.984+00:00"
}
}
}
⌘I

